v1.1
修改了帮助文件。因为帮助文件中有很多地方未写清楚，我想大家很难能用它写出注册机来。
这也是我这次升级如此匆忙的原因。
根据网友的意见，对注册机提供了三个不同的界面，可以根据需要进行选择。

我写注册机编写器的原因是因为曾看到国外有一个KeyGen for Serial Maker，用过几次觉得还不错，
就是编译后的文件无法在WinNT/Win2000下运行。所以自己也尝试写了一个，平时都是自己使用。
这次在网上发布时又对某些功能进行了改进，并增加了一个另类注册机的功能。

v1.11
在另类注册机的设置选项中增加了对加壳文件的支持（如用upx等工具压缩过）；
对于设置的用户信息将会保存；当被破解的文件不存在时，将显示错误提示。
修正了关于对话框中的褪色情况。

v1.2
在另类注册机的外观界面上增加了一个扩展界面（新增的界面中会显示一个能体现你个性化的图标）。

对于用上一版本生成的另类注册机不能在Win2000下正确运行的错误进行了修正；
对于在Win2000下用户信息不能保存的问题进行了修正；
对在生成另类注册机过程中有时会意外退出的问题进行了修正。
程序代码其实都没有写错这主要是由于我平时的编程习惯不好引起的。

特别说明：图标资源都未压缩，如果你想修改的话，请用eXeScope等资源编辑工具进行修改。
	　但是请不要改变文件的大小。

以后的升级版本中将会陆续加入制作文件补丁及内存补丁的功能。

v1.32
新增功能：
　　加入了制作文件补丁的功能（做破解补丁用的，只能比较两个文件，差别不能超过1000字节）。

改进：
　　为了使大家制作的另类注册机和补丁文件中的信息不被他人随意修改，对其进行了异或。
根据许多网友的意见，在另类注册机的第二个方案中允许添加近300字的个人信息说明。
对菜单的位置进行了调整。将另类注册机的第一个方案中的图标改成了16色，
这样一来用方案一生成的界面比较简单文件也较小只有6K多；
（本来想将所有的资源全部删除，就只有3、4K了，但是用了一下，没有图标太难看了。）
而用方案二生成的另类注册机界面和功能复杂一点，但文件较大有9K多。

修正以下错误：
　　因为我在主程序中及另类注册机中有些地方没有使用标准的Windows API函数，
所以在某些特殊情况下可能会出现错误，现已修正，对程序的内存分配等代码也全部重新调整。
对在生成的另类注册机上点击超链接没有响应的问题进行纠正；
对设置在同一个地址中断多次不能生效的问题进行纠正。

说明：
　　考虑到某些特殊原因注册机是使用.586方式编译。因为时间关系帮助文件没有全部重写。

v1.33
修正错误：应用补丁功能不能正常使用。

v1.34
改进：
　　增加了自定义图标的功能。
修正以下错误：
　　解决了在某些计算机上编译注册机功能无法使用的问题，修正了另类注册机的“关于”按钮
位置不正确的问题。

根据许多网友的提议，下个版本将在另类注册机中加入修改内存的功能。

v1.40
改进：
　　在另类注册机中增加了修改内存的功能，增加了启动提示的功能；增加了一个128位十进制转
十六进制的功能（本来是一个56位的计算器，因为上一次硬盘弄坏时源程序丢失了，重写一个很花
时间而且难度也很大）。
修改以下错误：
　　解决上一版本中的非法操作问题；修正以前的版本在某些计算机上启动时，有时会停止响应的
问题；一些小的错误。

v1.50
新增：
1、加入了制作内存补丁的功能；
2、在另类注册机中对最后一次的设置自动保存，加入了加载、保存方案的功能；
3、在另类注册机、文件补丁的生成方案中加入了WinXP界面的支持（这是我在VB源码下载的地方
　 看到一个例子程序，打开模块一看，原来是用图片做的，这让我联想到在汇编中也可以通过绘图
　 及一些特别的办法来绘制一个XP窗口）。
4、加入了处理偏移地址的功能，这就是说：比如注册码是在eax+64的位置，那么现在就可以在偏移地址
　 处填入64（如果是eax-64，就填入-64）；
　 但是如果eax+64处的值是123456，而123456里的值又是654321，654321所指向的地址才是注册码所在呢，
　 有位网友向我提出了这个问题，所以加入了一个“内含地址”（不知这种情况该怎么形容，只好用这个
　 词了），现在你就可以根据自己的需要进行设置了。
　 比如说如果你要从654321里取注册码，就不要选择内含地址；
　 如果你要从123456里取注册码就选择内含地址，并将其值设置为1；
　 如果你要从eax+64里取注册码就选择内含地址，并将其值设置为2。
　 有了这个功能以后就可以尽量避免使用直接内存地址。
改进：
1、在主程序中加入了对鼠标双击及右键事件的响应，加入了对拖放文件的支持；
2、对一些窗口的界面做了改动。
3、对另类注册机运行时所用的内存进行了调整，这就避免了在WinNT/2000下的某些问题。
　 通过查阅一些相关资料对API调试函数的一些参数进行了修正。
修正：
1、在另类注册机中选择寄存器方式时设置经过压缩不能生效；
2、修正点击主页和邮件链接时可能出现的错误。

v1.50a
修正上一版本中另类注册机不能正常运行的错误。

v1.51
修正：
1、修正了常规的注册机不能正常编译的问题。
2、修正了另类注册机在WinXP下不能设置启动提示的错误。
3、解决了另类注册机完成注册后会停止响应的问题。
4、修正了在Win2000下使用另类注册机的XP界面时，编辑框的颜色会不正确。
5、主程序中菜单图标上的错误。

v1.55
新增：
在另类注册机中增强了获取注册码的方式。可以随时将内存或寄存器中的数据作为注册码。
改进：
因为程序越来越庞大了，以前有些地方写的很乱，所以这次对整个主程序进行了规范化的编写。
重写了帮助，对帮助中的另类注册机的每个功能进行了说明。
将内含地址改称为地址指针。
修正：
修正上一版本中另类注册机运行后仍然会停止响应的问题及一些小的错误。

v1.56
改进：
1、在主程序上的菜单使用渐变色。
2、将状态栏上以前显示计算机名和IP的地方改为显示当前光标处字符的十进制和十六进制。
修正：
1、解决了有时启动另类注册机时会提示找不到文件的问题。
2、在有些程序中，注册窗口弹出来时不会显示在最前端，导致程序停止响应。

v1.60
新增：
1、增加了一个检索窗口的工具，可用来检索桌面上的窗口和菜单，并修改它们的当前状态。
2、在制作的补丁方案中增加了一个界面。
改进：
1、制作补丁文件时，不再要求两个文件的大小相同。
2、将用XP方案生成的另类注册机的颜色和窗口形态按WinXP的配色方案进行了修改。
3、解决了另类注册机XP界面右上角关闭按钮不能正常显示出三种状态及时有闪烁的现象。
修正：
1、生成的另类注册机消息处理上的一些漏洞。
2、修正用前几个版本生成的另类注册机的第二个方案点击关于按钮后就会停止响应的问题。
3、修正主程序及以前生成的各种方案颜色设置上的错误。
4、XP界面的另类注册机运行多次后可能会花屏或死机的问题。
5、一些小的错误。
已知问题：
1、制作文件补丁时对通过比较两个不同文件得到的附加数据没有进行压缩。
 　这是因为我在程序中加入压缩代码后，压缩300-400KB以上的数据时文件不但没有减少，反倒变的更大，
一直没有找到原因。而且我看CodeFusion等补丁工具也没有对这些附加的数据进行压缩，
所以这一版本暂时不提供对附加数据进行压缩的功能。
2、使用主程序制作补丁完成后，偶尔会出现非法操作的提示，这是由Windows在释放内存时引起的，
不会影响正常的使用。对这个问题目前还没有想到好的解决办法。

v1.65
改进：
1、重写了注册机编写这个部分，减少了出错的可能性。并加入了一个查看代码，便于大家了解源程序。
　 现在改为从include子目录下查找KEY1.RES资源文件。
2、在注册机中加入了一个自定义的库文件，以后随着对这个库文件的不断扩充，加密解密就只需要一个
 　简单的调用就可以实现。这是一个很有意义的改进，虽然目前这个库中只包含有一种加解密算法。
 　我在例子三中使用了加密算法，如果你对解密不是很有研究，要写出逆向运算的注册机可能无能为力，
 　而现在只你只需要写上两句话即可完成一个注册机。
 　如果大家以后发现有好的加解密算法，你也可以对其整理以后发给我。我会将它包含到这个库文件中。
2、重写了内存补丁的代码，现在改为通过挂起和恢复线程来修改程序代码。
3、将生成的另类注册机XP界面的窗口高度改为根据说明信息显示的行数自动调整高度。
　 并修正了其弹出的提示窗口只能由鼠标操作的问题。
4、将另类注册机左边设置窗口中的内存地址由以前的六位数扩展到八位。
5、在另类注册机中增加了计算偏移地址和内存单元的功能。
6、在帮助中加入了对进制转换函数的使用说明。
修正：
1、修正了在制作文件补丁时及生成的补丁工具在内存操作上的错误。
2、修正了另类注册机的地址指针功能有时不能生效的错误。
3、修正了主程序菜单上时有闪烁及有些地方没有为渐变色的错误。
4、生成另类注册机过程中可能会出现的一些错误。

v1.66
改进：
1、为便于操作，将主程序中有些弹出的窗口改为非模态窗口。
修正：
1、修正程序对颜色函数处理不当，这个错误有时会导致桌面上的文字也被改的乱七八糟。
2、修正文件补丁的主页和邮件链接不正确。
3、修正内存注册机地址偏移上的错误。
4、修正内存注册机读取数据时可能会导致内存溢出的问题，及对有些注册码过长的软件无法正确处理。
5、修正内存补丁没有正确的判断程序是否已经修改成功就提前退出了。

v1.68
改进：
1、重写了内存注册机的核心代码，对以前无法加载的一些软件已能很好的解决，即使拦截失败也不会
　 引起死机了；现在可以在断点处插入一个字符；去掉了压缩选项，将其作为默认处理方案。
2、在文件补丁工具中增加了一个进度条，显示当前修补文件的进度。并将按钮改为浮动效果。

v1.69
修正：
1、修正以前所有版本的内存注册机不能在程序代码转入.DLL后继续拦截注册码的问题。
2、修正内存注册机不能正确处理用 ASProtect 加壳的软件。

v1.73
改进：
1、保存对主程序窗口位置和大小的改变，并且可以自定义工具栏（新增的工具栏图片比较难看，我做
　 不出好的样子，大家将就着用吧）；将所有子窗口由屏幕居中改为相对于父窗口居中。
2、增加一个拦截所有进程的选项，以解决上一版本的内存注册机因处理消息过多导致运行程序时很慢。
　 如果你要拦截的程序代码在.DLL或其它进程中才使用这个选项；
　 并加入修改页面属性的代码（只在方案二、三中有效）。
3、在文件补丁中增加了一个“中断”选项，用来中断补丁线程，并修正消息处理上的一些错误。
4、在内存补丁中增加一个闲置时修改内存的选项，以解决在某些加壳软件中遇到的问题。
修正：
1、修正注册机的声明没有保存到文件中。
2、修正内存注册机中断次数上的错误及拦截过程中可能会出现的一些漏洞。
3、修正设置内存注册机中的修改内存信息时可能会出现的非法操作问题。

说明：内存注册机中的计算功能没有全部完成，再加上错误多多，已经暂时删除了，等下一版本再加进来。
